Retrieve the largest wallets holding a specific token, ranked by token balance.
GET /tokens/{address}/top_holders
Path Parameters
string
required
Token contract address.
Query Parameters
string
required
Blockchain network where the token is deployed.
integer
Page number of the results to retrieve, starting from 1 .Default 1 Max 100 Min 1
integer
Number of records to return per page.Default: 50 Max: 100 Min: 10
Code Examples
# Replace with your actual API key from the DEXUtils platformcurl "https://api.dexutils.io/tokens/0x6982508145454ce325ddbe47a25d4ec3d2311933/top_holders?chain=ethereum&page=1&page_size=10" \ -H "API-KEY: apikey"
import requests# Replace with your actual API key from the DEXUtils platformaddress = "0x6982508145454ce325ddbe47a25d4ec3d2311933"url = f"https://api.dexutils.io/v1/tokens/{address}/top_holders"headers = {"API-KEY": "apikey"}params = { "chain": "ethereum", "page": 1, "page_size": 10,}response = requests.get(url, headers=headers, params=params)res = response.json()